<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>Repos-that-will-teach-u</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <h1 id="seconds-30-seconds-of-code">
      <a href="https://github.com/30-seconds/30-seconds-of-code"
        > 30-seconds / 30-seconds-of-code</a
      >
    </h1>
    <p>Unstar</p>
    <p>Short JavaScript code snippets for all your development needs</p>
    <p>
      <a href="https://github.com/30-seconds/30-seconds-of-code/stargazers"
        >76634</a
      ><a
        href="https://github.com/30-seconds/30-seconds-of-code/network/members"
        >8316</a
      >JavaScript
    </p>
    <h1 id="railsgirls-railsgirls.github.io">
      <a href="https://github.com/railsgirls/railsgirls.github.io"
        > railsgirls / railsgirls.github.io</a
      >
    </h1>
    <p>Star</p>
    <p>Rails Girls Guides</p>
    <p>
      <a href="https://github.com/railsgirls/railsgirls.github.io/stargazers"
        >3466</a
      ><a
        href="https://github.com/railsgirls/railsgirls.github.io/network/members"
        >673</a
      >HTML
    </p>
    <h1 id="railsbridge-docs">
      <a href="https://github.com/railsbridge/docs"> railsbridge / docs</a>
    </h1>
    <p>Star</p>
    <p>Curriculum for RailsBridge workshops</p>
    <p>
      <a href="https://github.com/railsbridge/docs/stargazers">1759</a
      ><a href="https://github.com/railsbridge/docs/network/members">429</a>Ruby
    </p>
    <h1 id="freecodecamp-freecodecamp">
      <a href="https://github.com/freeCodeCamp/freeCodeCamp"
        > freeCodeCamp / freeCodeCamp</a
      >
    </h1>
    <p>Unstar</p>
    <p>
      freeCodeCamp.org’s open-source codebase and curriculum. Learn to code for
      free.
    </p>
    <p>
      <a href="https://github.com/freeCodeCamp/freeCodeCamp/stargazers"
        >324713</a
      ><a href="https://github.com/freeCodeCamp/freeCodeCamp/network/members"
        >25890</a
      >JavaScript
    </p>
    <h1 id="leachim6-hello-world">
      <a href="https://github.com/leachim6/hello-world"
        > leachim6 / hello-world</a
      >
    </h1>
    <p>Star</p>
    <p>
      Hello world in every computer language. Thanks to everyone who contributes
      to this, make sure to see CONTRIBUTING.md for contribution instructions!
    </p>
    <p>
      <a href="https://github.com/leachim6/hello-world/stargazers">6705</a
      ><a href="https://github.com/leachim6/hello-world/network/members">1445</a
      >Assembly
    </p>
    <h1 id="datasciencemasters-go">
      <a href="https://github.com/datasciencemasters/go"
        > datasciencemasters / go</a
      >
    </h1>
    <p>Star</p>
    <p>The Open Source Data Science Masters</p>
    <p>
      <a href="https://github.com/datasciencemasters/go/stargazers">18333</a
      ><a href="https://github.com/datasciencemasters/go/network/members"
        >5760</a
      >
    </p>
    <h1 id="tuvtran-project-based-learning">
      <a href="https://github.com/tuvtran/project-based-learning"
        > tuvtran / project-based-learning</a
      >
    </h1>
    <p>Unstar</p>
    <p>Curated list of project-based tutorials</p>
    <p>
      <a href="https://github.com/tuvtran/project-based-learning/stargazers"
        >50720</a
      ><a
        href="https://github.com/tuvtran/project-based-learning/network/members"
        >7904</a
      >
    </p>
    <h1 id="zhiwehu-python-programming-exercises">
      <a href="https://github.com/zhiwehu/Python-programming-exercises"
        > zhiwehu / Python-programming-exercises</a
      >
    </h1>
    <p>Star</p>
    <p>100+ Python challenging programming exercises</p>
    <p>
      <a
        href="https://github.com/zhiwehu/Python-programming-exercises/stargazers"
        >15758</a
      ><a
        href="https://github.com/zhiwehu/Python-programming-exercises/network/members"
        >5760</a
      >
    </p>
    <h1 id="mungell-awesome-for-beginners">
      <a href="https://github.com/MunGell/awesome-for-beginners"
        > MunGell / awesome-for-beginners</a
      >
    </h1>
    <p>Star</p>
    <p>A list of awesome beginners-friendly projects.</p>
    <p>
      <a href="https://github.com/MunGell/awesome-for-beginners/stargazers"
        >31508</a
      ><a
        href="https://github.com/MunGell/awesome-for-beginners/network/members"
        >4801</a
      >
    </p>
    <h1 id="appacademy-welcome-to-open">
      <a href="https://github.com/appacademy/welcome-to-open"
        > appacademy / welcome-to-open</a
      >
    </h1>
    <p>Star</p>
    <p>Overview of App Academy Open</p>
    <p>
      <a href="https://github.com/appacademy/welcome-to-open/stargazers">2273</a
      ><a href="https://github.com/appacademy/welcome-to-open/network/members"
        >75</a
      >
    </p>
    <h1 id="lostdesign-webgems">
      <a href="https://github.com/lostdesign/webgems"> lostdesign / webgems</a>
    </h1>
    <p>Star</p>
    <p>
      A curated list of resources for devs and designers. Join me on devcord.com
      if you are up for a chit chat :)
    </p>
    <p>
      <a href="https://github.com/lostdesign/webgems/stargazers">2549</a
      ><a href="https://github.com/lostdesign/webgems/network/members">157</a
      >Vue
    </p>
    <h1 id="kamranahmedse-developer-roadmap">
      <a href="https://github.com/kamranahmedse/developer-roadmap"
        > kamranahmedse / developer-roadmap</a
      >
    </h1>
    <p>Unstar</p>
    <p>Roadmap to becoming a web developer in 2021</p>
    <p>
      <a href="https://github.com/kamranahmedse/developer-roadmap/stargazers"
        >161521</a
      ><a
        href="https://github.com/kamranahmedse/developer-roadmap/network/members"
        >23384</a
      >
    </p>
    <h1 id="amai-gmbh-ai-expert-roadmap">
      <a href="https://github.com/AMAI-GmbH/AI-Expert-Roadmap"
        > AMAI-GmbH / AI-Expert-Roadmap</a
      >
    </h1>
    <p>Star</p>
    <p>Roadmap to becoming an Artificial Intelligence Expert in 2021</p>
    <p>
      <a href="https://github.com/AMAI-GmbH/AI-Expert-Roadmap/stargazers"
        >12274</a
      ><a href="https://github.com/AMAI-GmbH/AI-Expert-Roadmap/network/members"
        >1048</a
      >JavaScript
    </p>
    <h1 id="trekhleb-javascript-algorithms">
      <a href="https://github.com/trekhleb/javascript-algorithms"
        > trekhleb / javascript-algorithms</a
      >
    </h1>
    <p>Unstar</p>
    <p>
      📝 Algorithms and data structures implemented in JavaScript with
      explanations and links to further readings
    </p>
    <p>
      <a href="https://github.com/trekhleb/javascript-algorithms/stargazers"
        >108582</a
      ><a
        href="https://github.com/trekhleb/javascript-algorithms/network/members"
        >18012</a
      >JavaScript
    </p>
    <h1 id="microsoft-web-dev-for-beginners">
      <a href="https://github.com/microsoft/Web-Dev-For-Beginners"
        > microsoft / Web-Dev-For-Beginners</a
      >
    </h1>
    <p>Unstar</p>
    <p>24 Lessons, 12 Weeks, Get Started as a Web Developer</p>
    <p>
      <a href="https://github.com/microsoft/Web-Dev-For-Beginners/stargazers"
        >25033</a
      ><a
        href="https://github.com/microsoft/Web-Dev-For-Beginners/network/members"
        >3555</a
      >JavaScript
    </p>
    <h1 id="karan-projects">
      <a href="https://github.com/karan/Projects"> karan / Projects</a>
    </h1>
    <p>Star</p>
    <p>
      📃 A list of practical projects that anyone can solve in any programming
      language.
    </p>
    <p>
      <a href="https://github.com/karan/Projects/stargazers">35472</a
      ><a href="https://github.com/karan/Projects/network/members">9983</a>
    </p>
    <h1 id="sindresorhus-awesome">
      <a href="https://github.com/sindresorhus/awesome"
        > sindresorhus / awesome</a
      >
    </h1>
    <p>Star</p>
    <p>😎 Awesome lists about all kinds of interesting topics</p>
    <p>
      <a href="https://github.com/sindresorhus/awesome/stargazers">162118</a
      ><a href="https://github.com/sindresorhus/awesome/network/members"
        >20822</a
      >Shell
    </p>
    <h1 id="donnemartin-system-design-primer">
      <a href="https://github.com/donnemartin/system-design-primer"
        > donnemartin / system-design-primer</a
      >
    </h1>
    <p>Star</p>
    <p>
      Learn how to design large-scale systems. Prep for the system design
      interview. Includes Anki flashcards.
    </p>
    <p>
      <a href="https://github.com/donnemartin/system-design-primer/stargazers"
        >133576</a
      ><a
        href="https://github.com/donnemartin/system-design-primer/network/members"
        >24296</a
      >Python
    </p>
    <h1 id="danistefanovic-build-your-own-x">
      <a href="https://github.com/danistefanovic/build-your-own-x"
        > danistefanovic / build-your-own-x</a
      >
    </h1>
    <p>Star</p>
    <p>🤓 Build your own (insert technology here)</p>
    <p>
      <a href="https://github.com/danistefanovic/build-your-own-x/stargazers"
        >107919</a
      ><a
        href="https://github.com/danistefanovic/build-your-own-x/network/members"
        >9592</a
      >
    </p>
    <h1 id="public-apis-public-apis">
      <a href="https://github.com/public-apis/public-apis"
        > public-apis / public-apis</a
      >
    </h1>
    <p>Star</p>
    <p>A collective list of free APIs</p>
    <p>
      <a href="https://github.com/public-apis/public-apis/stargazers">126218</a
      ><a href="https://github.com/public-apis/public-apis/network/members"
        >15408</a
      >Python
    </p>
    <h1 id="ebookfoundation-free-programming-books">
      <a href="https://github.com/EbookFoundation/free-programming-books"
        > EbookFoundation / free-programming-books</a
      >
    </h1>
    <p>Star</p>
    <p>📚 Freely available programming books</p>
    <p>
      <a
        href="https://github.com/EbookFoundation/free-programming-books/stargazers"
        >190881</a
      ><a
        href="https://github.com/EbookFoundation/free-programming-books/network/members"
        >42482</a
      >
    </p>
    <h1 id="amitness-learning">
      <a href="https://github.com/amitness/learning"> amitness / learning</a>
    </h1>
    <p>Star</p>
    <p>Becoming better at data science every day</p>
    <p>
      <a href="https://github.com/amitness/learning/stargazers">3417</a
      ><a href="https://github.com/amitness/learning/network/members">567</a>
    </p>
    <h1 id="mhinz-vim-galore">
      <a href="https://github.com/mhinz/vim-galore"> mhinz / vim-galore</a>
    </h1>
    <p>Star</p>
    <p>🎓 All things Vim!</p>
    <p>
      <a href="https://github.com/mhinz/vim-galore/stargazers">11925</a
      ><a href="https://github.com/mhinz/vim-galore/network/members">519</a>Vim
      script
    </p>
    <h1 id="tayllan-awesome-algorithms">
      <a href="https://github.com/tayllan/awesome-algorithms"
        > tayllan / awesome-algorithms</a
      >
    </h1>
    <p>Star</p>
    <p>A curated list of awesome places to learn and/or practice algorithms.</p>
    <p>
      <a href="https://github.com/tayllan/awesome-algorithms/stargazers">9409</a
      ><a href="https://github.com/tayllan/awesome-algorithms/network/members"
        >1774</a
      >
    </p>
    <h1 id="karlhorky-learn-to-program">
      <a href="https://github.com/karlhorky/learn-to-program"
        > karlhorky / learn-to-program</a
      >
    </h1>
    <p>Star</p>
    <p>
      Educational resources to learn to program (Foundation in Web Development)
    </p>
    <p>
      <a href="https://github.com/karlhorky/learn-to-program/stargazers">1346</a
      ><a href="https://github.com/karlhorky/learn-to-program/network/members"
        >149</a
      >
    </p>
    <h1 id="therebelrobot-awesome-workshopper">
      <a href="https://github.com/therebelrobot/awesome-workshopper"
        > therebelrobot / awesome-workshopper</a
      >
    </h1>
    <p>Star</p>
    <p>
      A list of CLI workshopper/adventure tutorials for various things. Inspired
      by awesome.
    </p>
    <p>
      <a href="https://github.com/therebelrobot/awesome-workshopper/stargazers"
        >727</a
      ><a
        href="https://github.com/therebelrobot/awesome-workshopper/network/members"
        >36</a
      >
    </p>
    <h1 id="jlevy-the-art-of-command-line">
      <a href="https://github.com/jlevy/the-art-of-command-line"
        > jlevy / the-art-of-command-line</a
      >
    </h1>
    <p>Unstar</p>
    <p>Master the command line, in one page</p>
    <p>
      <a href="https://github.com/jlevy/the-art-of-command-line/stargazers"
        >89824</a
      ><a
        href="https://github.com/jlevy/the-art-of-command-line/network/members"
        >9952</a
      >
    </p>
    <h1 id="papers-we-love-papers-we-love">
      <a href="https://github.com/papers-we-love/papers-we-love"
        > papers-we-love / papers-we-love</a
      >
    </h1>
    <p>Star</p>
    <p>Papers from the computer science community to read and discuss.</p>
    <p>
      <a href="https://github.com/papers-we-love/papers-we-love/stargazers"
        >46167</a
      ><a
        href="https://github.com/papers-we-love/papers-we-love/network/members"
        >4028</a
      >Shell
    </p>
    <h1 id="awesome-selfhosted-awesome-selfhosted">
      <a href="https://github.com/awesome-selfhosted/awesome-selfhosted"
        > awesome-selfhosted / awesome-selfhosted</a
      >
    </h1>
    <p>Star</p>
    <p>
      A list of Free Software network services and web applications which can be
      hosted on your own servers
    </p>
    <p>
      <a
        href="https://github.com/awesome-selfhosted/awesome-selfhosted/stargazers"
        >59265</a
      ><a
        href="https://github.com/awesome-selfhosted/awesome-selfhosted/network/members"
        >4532</a
      >JavaScript
    </p>
    <h1 id="ripienaar-free-for-dev">
      <a href="https://github.com/ripienaar/free-for-dev"
        > ripienaar / free-for-dev</a
      >
    </h1>
    <p>Star</p>
    <p>
      A list of SaaS, PaaS and IaaS offerings that have free tiers of interest
      to devops and infradev
    </p>
    <p>
      <a href="https://github.com/ripienaar/free-for-dev/stargazers">47445</a
      ><a href="https://github.com/ripienaar/free-for-dev/network/members"
        >5076</a
      >HTML
    </p>
    <h1 id="gothinkster-realworld">
      <a href="https://github.com/gothinkster/realworld"
        > gothinkster / realworld</a
      >
    </h1>
    <p>Unstar</p>
    <p>
      “The mother of all demo apps” — Exemplary fullstack Medium.com clone
      powered by React, Angular, Node, Django, and many more 🏅
    </p>
    <p>
      <a href="https://github.com/gothinkster/realworld/stargazers">58236</a
      ><a href="https://github.com/gothinkster/realworld/network/members"
        >5204</a
      >Shell
    </p>
    <h1 id="thedaviddias-front-end-checklist">
      <a href="https://github.com/thedaviddias/Front-End-Checklist"
        > thedaviddias / Front-End-Checklist</a
      >
    </h1>
    <p>Unstar</p>
    <p>
      🗂 The perfect Front-End Checklist for modern websites and meticulous
      developers
    </p>
    <p>
      <a href="https://github.com/thedaviddias/Front-End-Checklist/stargazers"
        >52997</a
      ><a
        href="https://github.com/thedaviddias/Front-End-Checklist/network/members"
        >5075</a
      >
    </p>
  </body>
</html>
